{% trans_default_domain 'FOSUserBundle' %}


<div class="row">
    <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
        <div class="card card-signin my-5">
            <div class="card-body">
                <h5 class="card-title text-center">Login</h5>
                <form class="form-signin" role="form" method="POST" action="{{ path("fos_user_security_check") }}">

                    {% if error %}
                        <div class="row">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                    {% endif %}

                    {% if csrf_token %}
                        <input type="hidden" name="_csrf_token" value="{{ csrf_token }}" />
                    {% endif %}

                    <div class="form-label-group">
                        <input type="text" id="username" name="_username" value="{{ last_username }}" class="form-control" placeholder="you@example.com" required autofocus>
                        <label class="sr-only" for="username">{{ 'security.login.username'|trans }}</label>
                    </div>

                    <div class="form-label-group">
                        <input type="password" id="password" name="_password"  class="form-control" placeholder="Password" required>
                        <label class="sr-only" for="password">{{ 'security.login.password'|trans }}</label>
                    </div>

                    <div class="custom-control custom-checkbox mb-3">
                        <input class="form-check-input" id="remember_me" name="_remember_me" type="checkbox" value="on">
                        <label class="custom-control-label" for="customCheck1">{{ 'security.login.remember_me'|trans }}</label>
                    </div>

                    <button type="submit" class="btn btn-primary"><i class="fa fa-sign-in"></i> {{ 'security.login.submit'|trans }}</button>
                    <hr class="my-4">
                    <a class="btn btn-link" href="{{ path('fos_user_resetting_request') }}">{{ 'forgot.password'|trans({}, 'messages') }}</a>
                    <a role="button" class="btn btn-success" href="{{ path('fos_user_registration_register') }}">{{ 'sign.up'|trans({}, 'messages') }}</a>

                </form>
            </div>
        </div>
    </div>
</div>
